extends CanvasLayer

export var font_color : Color = Color(0, 0, 0)

# Called when the node enters the scene tree for the first time.
func _ready():
	set_font_color(font_color)
	
func _process(delta):
	$HUD_Items/ScoreLabel.text = str(GlobalState.coins)
	$HUD_Items/PlayerItems/Key_Yellow.visible = GlobalState.keys['yellow']
	$HUD_Items/PlayerItems/Key_Green.visible = GlobalState.keys['green']
	$HUD_Items/PlayerItems/Key_Red.visible = GlobalState.keys['red']
	$HUD_Items/PlayerItems/Key_Blue.visible = GlobalState.keys['blue']
	$HUD_Items/PlayerItems/health99.visible = GlobalState.health > 66
	$HUD_Items/PlayerItems/health66.visible = GlobalState.health > 33
	$HUD_Items/PlayerItems/health33.visible = GlobalState.health > 0
	
func set_font_color(color: Color):
	font_color = color
	$HUD_Items/ScoreLabel.add_color_override("font_color", font_color)

func scene_fadeout():
	$SceneTransition/Animation.play_backwards("Fade")
	yield($SceneTransition/Animation, "animation_finished")
	
func hud_visible(value: bool):
	$HUD_Items.visible = value

func scene_fadein():
	$SceneTransition/Animation.play("Fade") 
	yield($SceneTransition/Animation, "animation_finished")
	
